geos::noding::SimpleNoder Class Reference

Nodes a set of `SegmentString`s by performing a brute-force comparison of every segment to every other one. More...

`#include <SimpleNoder.h>`

Inheritance diagram for geos::noding::SimpleNoder:

## Public Member Functions

| SimpleNoder (SegmentIntersector *nSegInt=nullptr)
void | computeNodes (std::vector< SegmentString * > *inputSegmentStrings) override
| Computes the noding for a collection of `SegmentString`s.
std::vector< SegmentString * > * | getNodedSubstrings () const override
| Returns a Collection of fully noded `SegmentString`s.
Public Member Functions inherited from geos::noding::SinglePassNoder
| SinglePassNoder (SegmentIntersector *nSegInt=nullptr)
virtual void | setSegmentIntersector (SegmentIntersector *newSegInt)
| Sets the SegmentIntersector to use with this noder.

## Additional Inherited Members

Protected Attributes inherited from geos::noding::SinglePassNoder
SegmentIntersector * | segInt
| Externally owned.

## Detailed Description

Nodes a set of `SegmentString`s by performing a brute-force comparison of every segment to every other one.

This has n^2 performance, so is too slow for use on large numbers of segments.

Version
  1.7

## Member Function Documentation

## computeNodes()

void geos::noding::SimpleNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

override virtual

Computes the noding for a collection of `SegmentString`s.

Parameters

  segStrings | a collection of `SegmentString`s to node

Implements geos::noding::SinglePassNoder.

## getNodedSubstrings()

std::vector< SegmentString * > * geos::noding::SimpleNoder::getNodedSubstrings | ( |  | ) | const

inline override virtual

Returns a Collection of fully noded `SegmentString`s.

The SegmentStrings have the same context as their parent.

Returns
  a Collection of SegmentStrings

Implements geos::noding::SinglePassNoder.

The documentation for this class was generated from the following file:

- SimpleNoder.h